import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBarcode as IconBarcodeClass } from "../../../../components/icon/icons/barcode.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBarcode = (props) => {
  IconBarcodeClass.define();
  const JSXElement = getReactComponent("gds-icon-barcode");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBarcode.displayName = "IconBarcode";
export {
  IconBarcode
};
